Mesa (master): gitlab-ci: configure the Vulkan ICD export with VK_DRIVER

GitLab Mirror gitlab-mirror at kemper.freedesktop.org
Fri Dec 6 10:48:27 UTC 2019


Module: Mesa
Branch: master
Commit: f32bf4f1e249a2d068cb25bfa77550f533b791c0
URL:    http://cgit.freedesktop.org/mesa/mesa/commit/?id=f32bf4f1e249a2d068cb25bfa77550f533b791c0

Author: Samuel Pitoiset <samuel.pitoiset at gmail.com>
Date:   Thu Nov 14 12:09:44 2019 +0100

gitlab-ci: configure the Vulkan ICD export with VK_DRIVER

Signed-off-by: Samuel Pitoiset <samuel.pitoiset at gmail.com>
Reviewed-by: Eric Engestrom <eric.engestrom at intel.com>

---

 .gitlab-ci/deqp-runner.sh | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/.gitlab-ci/deqp-runner.sh b/.gitlab-ci/deqp-runner.sh
index c9231c7c54b..bc561821a0d 100755
--- a/.gitlab-ci/deqp-runner.sh
+++ b/.gitlab-ci/deqp-runner.sh
@@ -19,6 +19,13 @@ if [ -z "$DEQP_VER" ]; then
    exit 1
 fi
 
+if [ "$DEQP_VER" == "vk" ]; then
+   if [ -z "$VK_DRIVER" ]; then
+      echo 'VK_DRIVER must be to something like "radeon" or "intel" for the test run'
+      exit 1
+   fi
+fi
+
 if [ -z "$DEQP_SKIPS" ]; then
    echo 'DEQP_SKIPS must be set to something like "deqp-default-skips.txt"'
    exit 1
@@ -29,6 +36,7 @@ ARTIFACTS=`pwd`/artifacts
 # Set up the driver environment.
 export LD_LIBRARY_PATH=`pwd`/install/lib/
 export EGL_PLATFORM=surfaceless
+export VK_ICD_FILENAMES=`pwd`/install/share/vulkan/icd.d/"$VK_DRIVER"_icd.x86_64.json
 
 # the runner was failing to look for libkms in /usr/local/lib for some reason
 # I never figured out.




More information about the mesa-commit mailing list